Subject: Re: [PATCH net-next 3/3] mlxsw: Add extack messages for port_{un,}split failures?

From: David Ahern <[email-masked]>
Date: Tue, 5 Jun 2018 07:58:44 -0700

On 6/5/18 1:18 AM, Jiri Pirko wrote:
> Tue, Jun 05, 2018 at 10:05:28AM CEST, [email-masked] wrote:
>> On Tue, Jun 05, 2018 at 09:52:30AM +0200, Jiri Pirko wrote:
>>> Tue, Jun 05, 2018 at 12:15:03AM CEST, [email-masked] wrote:
>>>> 	if (!mlxsw_sp_port->split) {
>>>> 		netdev_err(mlxsw_sp_port->dev, "Port wasn't split\n");
>>>> +		NL_SET_ERR_MSG_MOD(extack, "Port was not split");
>>>
>>> I wonder if we need the dmesg for these as well. Plus it is not the same
>>> (wasn't/was not) which is maybe confusing. Any objection against the
>>> original dmesg messages removal?
>>
>> We had this discussion about three months ago and decided to keep the
>> existing messages:
>> https://marc.info/?l=linux-netdev&m=151982813309466&w=2
> 
> I forgot. Thanks for reminding me. So could we at least have the
> messages 100% same? Thanks.
> 

ok if I convert the current message to 'was not' and avoid the
contraction in messages?